Subject: Re: bug#58757: [PATCH staging] gnu: tbb: Update to 2021.6.0.
From: Ludovic Courtès <[email-masked]>
To: Simon South <[email-masked]>
Cc: [email-masked]
Date: Fri, 18 Nov 2022 15:14:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Simon,

Simon South <[email-masked]> skribis:

> This patch updates TBB ("Thread Building Blocks") to version 2021.6.0.
>
> It also removes a now-obsolete patch that was added temporarily to allow
> building on AArch64.[0]
>
> I've tested this against the staging branch on x86_64-linux and aarch64-linux
> and everything seems okay.
>
> - On x86_64-linux, I've rebuilt without issue all 406 dependent packages
>   reported by "guix refresh --list-dependent tbb" except for
>   python-dolfin-adjoint, r-mlr3ordinal and shogun, but these do not appear to
>   be new failures.[1]
>
> - On aarch64-linux, of tbb's immediate dependents[2] nlopt, octave, openvdb,
>   salmon and suitesparse build without issue.  The remainder (or their own
>   dependencies) fail but none appear to be new failures.[3]
>
>   As usual, building the full set of dependents would require packages (like
>   the Haskell compiler) that either are not yet available for AArch64 or are
>   not feasible to build on the hobbyist boards I have available.

Thanks for testing it thoroughly.

I figured applying it on current ‘master’ (time has passed…) wasn’t
unreasonable given the number of dependents.  Unfortunately
<https://qa.guix.gnu.org/issue/58757> didn’t pick it up but I confirmed
that it still builds and passes tests on x86_64-linux.

>   gnu: tbb: Update to 2021.6.0.

Applied, thanks!

Ludo’.